| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# DOMUserDataHandler Class Reference

When associating an object to a key on a node using `setUserData` the application can provide a handler that gets called when the node the object is associated to is being cloned or imported. More...

List of all members.

## Public Types

Public Constants
enum | DOMOperationType { NODE_CLONED = 1, NODE_IMPORTED = 2, NODE_DELETED = 3, NODE_RENAMED = 4 }
| Operation Type. More...

## Public Member Functions

Destructor
virtual | ~DOMUserDataHandler ()
| Destructor.
Functions introduced in DOM Level 3
virtual void | handle (DOMOperationType operation, const XMLCh *const key, void *data, const DOMNode *src, const DOMNode *dst)=0
| This method is called whenever the node for which this handler is registered is imported or cloned.

## Protected Member Functions

Hidden constructors
| DOMUserDataHandler ()

## Detailed Description

When associating an object to a key on a node using `setUserData` the application can provide a handler that gets called when the node the object is associated to is being cloned or imported.

This can be used by the application to implement various behaviors regarding the data it associates to the DOM nodes. This interface defines that handler.

"Experimental - subject to change"

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

## Member Enumeration Documentation

enum DOMUserDataHandler::DOMOperationType

Operation Type.

`NODE_CLONED:` The node is cloned.

`NODE_IMPORTED` The node is imported.

`NODE_DELETED` The node is deleted.

`NODE_RENAMED` The node is renamed.

"Experimental - subject to change"

Since:
  DOM Level 3

Enumeration values:

  NODE_CLONED |
  NODE_IMPORTED |
  NODE_DELETED |
  NODE_RENAMED |

## Constructor & Destructor Documentation

DOMUserDataHandler::DOMUserDataHandler | ( |  | ) | `[protected]`

virtual DOMUserDataHandler::~DOMUserDataHandler | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void DOMUserDataHandler::handle | ( | DOMOperationType | operation,
|  | const XMLCh *const | key,
|  | void * | data,
|  | const DOMNode * | src,
|  | const DOMNode * | dst
| ) | `[pure virtual]`

This method is called whenever the node for which this handler is registered is imported or cloned.

"Experimental - subject to change"

Parameters:

  | operation | Specifies the type of operation that is being performed on the node.
  | key | Specifies the key for which this handler is being called.
  | data | Specifies the data for which this handler is being called.
  | src | Specifies the node being cloned, imported, or renamed.
  | dst | Specifies the node newly created.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMUserDataHandler.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.